import * as $dara from '@darabonba/typescript';
import { CreateIpv4GatewayResponseBody } from "./CreateIpv4gatewayResponseBody";
export declare class CreateIpv4GatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateIpv4GatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
